* Analysis for "Who Wants to be a Major Power?"
* Revised version for JPR R&R
clear
set mem 500m

xtset statenum year

* Do powerful states adopt major power foreign policies just
* because they can? If so, the most powerful states should
* mobilize relatively more military power.

* Results concerning share of systemic military power (milshare)
* First set shows shallow relationship; absence of catalyzing effect
* for most powerful states.
xtregar lnmilshare lntbdeaths lncwdeaths lneconshare1, fe
display "the adjusted R-squared is: `e(r2_a)'
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-5.991, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-5.298, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-4.893, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-4.605, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-4.382, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-4.200, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-4.046, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-3.912, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-3.794, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-3.689, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-3.594, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-3.507, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-3.427, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-3.352, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-3.283, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-3.219, ci exp nokey noheader

*Capabilities shape intentions model, strong form
xtregar lnmilshare lntbdeaths lncwdeaths lneconshare1 lneconshare21, fe
test lneconshare1 lneconshare21
display "the adjusted R-squared is: `e(r2_a)'
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-5.991 lneconshare21=35.898, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-5.298 lneconshare21=28.072, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-4.893 lneconshare21=23.940, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-4.605 lneconshare21=21.208, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-4.382 lneconshare21=19.202, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-4.200 lneconshare21=17.638, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-4.046 lneconshare21=16.367, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-3.912 lneconshare21=15.304, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-3.794 lneconshare21=14.396, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-3.689 lneconshare21=13.608, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-3.594 lneconshare21=12.914, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-3.507 lneconshare21=12.296, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-3.427 lneconshare21=11.741, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-3.352 lneconshare21=11.239, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-3.283 lneconshare21=10.781, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-3.219 lneconshare21=10.361, ci exp nokey noheader

* Do states that are closer to the top strive for primacy?
* Model suggests that they do not
xtregar lnmilshare lntbdeaths lncwdeaths lneconshare1 lneconrank1, fe
display "the adjusted R-squared is: `e(r2_a)'

* State relatively far from system leader (econrank=0.1; lneconrank=-2.3)
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-5.991 lneconrank1=-2.3, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-5.298 lneconrank1=-2.3, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-4.893 lneconrank1=-2.3, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-4.605 lneconrank1=-2.3, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-4.382 lneconrank1=-2.3, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-4.200 lneconrank1=-2.3, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-4.046 lneconrank1=-2.3, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-3.912 lneconrank1=-2.3, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-3.794 lneconrank1=-2.3, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-3.689 lneconrank1=-2.3, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-3.594 lneconrank1=-2.3, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-3.507 lneconrank1=-2.3, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-3.427 lneconrank1=-2.3, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-3.352 lneconrank1=-2.3, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-3.283 lneconrank1=-2.3, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-3.219 lneconrank1=-2.3, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-2.996 lneconrank1=-2.3, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-2.659 lneconrank1=-2.3, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-2.303 lneconrank1=-2.3, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-1.897 lneconrank1=-2.3, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-1.609 lneconrank1=-2.3, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-1.204 lneconrank1=-2.3, ci exp nokey noheader

* State relatively close to system leader (econrank=0.01; lneconrank=-4.61)
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-5.991 lneconrank1=-4.61, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-5.298 lneconrank1=-4.61, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-4.893 lneconrank1=-4.61, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-4.605 lneconrank1=-4.61, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-4.382 lneconrank1=-4.61, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-4.200 lneconrank1=-4.61, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-4.046 lneconrank1=-4.61, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-3.912 lneconrank1=-4.61, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-3.794 lneconrank1=-4.61, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-3.689 lneconrank1=-4.61, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-3.594 lneconrank1=-4.61, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-3.507 lneconrank1=-4.61, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-3.427 lneconrank1=-4.61, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-3.352 lneconrank1=-4.61, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-3.283 lneconrank1=-4.61, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-3.219 lneconrank1=-4.61, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-2.996 lneconrank1=-4.61, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-2.659 lneconrank1=-4.61, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-2.303 lneconrank1=-4.61, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-1.897 lneconrank1=-4.61, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-1.609 lneconrank1=-4.61, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-1.204 lneconrank1=-4.61, ci exp nokey noheader

* State average distance from system leader
* State relatively close to system leader (econrank=0.01; lneconrank=-1.519)
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-5.991 lneconrank1=-1.519, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-5.298 lneconrank1=-1.519, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-4.893 lneconrank1=-1.519, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-4.605 lneconrank1=-1.519, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-4.382 lneconrank1=-1.519, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-4.200 lneconrank1=-1.519, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-4.046 lneconrank1=-1.519, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-3.912 lneconrank1=-1.519, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-3.794 lneconrank1=-1.519, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-3.689 lneconrank1=-1.519, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-3.594 lneconrank1=-1.519, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-3.507 lneconrank1=-1.519, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-3.427 lneconrank1=-1.519, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-3.352 lneconrank1=-1.519, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-3.283 lneconrank1=-1.519, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-3.219 lneconrank1=-1.519, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-2.996 lneconrank1=-1.519, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-2.659 lneconrank1=-1.519, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-2.303 lneconrank1=-1.519, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-1.897 lneconrank1=-1.519, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-1.609 lneconrank1=-1.519, ci exp nokey noheader
adjust lntbdeaths=0 lncwdeaths=0 lneconshare1=-1.204 lneconrank1=-1.519, ci exp nokey noheader

* Same model on relatively large states only
xtregar lnmilshare lntbdeaths lncwdeaths lneconshare1 if econlarge>=0.25, fe
xtregar lnmilshare lntbdeaths lncwdeaths lneconshare1 lneconshare21 if econlarge>=0.25, fe
xtregar lnmilshare lntbdeaths lncwdeaths lneconshare1 lneconrank1 if econlarge>=0.25, fe

* Results concerning power projection capability (powerproj)
* Note that model with squared term once again performs more
* poorly than model without it. Econrank variable positive as 
* in milshare analysis, but not significant.
xtregar powerproj lntbdeaths lncwdeaths lneconshare1, fe
display "the adjusted R-squared is: `e(r2_a)'
xtregar powerproj lntbdeaths lncwdeaths lneconshare1 lneconshare21, fe
test lneconshare1 lneconshare21
display "the adjusted R-squared is: `e(r2_a)'
xtregar powerproj lntbdeaths lncwdeaths lneconshare1 lneconrank1, fe
display "the adjusted R-squared is: `e(r2_a)'

* Same models on relatively large states only
xtregar powerproj lntbdeaths lncwdeaths lneconshare1 if econlarge>=0.25&econlarge~=., fe
xtregar powerproj lntbdeaths lncwdeaths lneconshare1 lneconshare21 if econlarge>=0.25&econlarge~=., fe
test lneconshare1 lneconshare21
xtregar powerproj lntbdeaths lncwdeaths lneconshare1 lneconrank1 if econlarge>=0.25&econlarge~=., fe

* Do powerful states need triggers to overcome "complacency effect"?
* Model with rivalry and expanding interests triggers
* milshare model
xtregar lnmilshare lntbdeaths lncwdeaths lneconshare1 lnopen1 interactlno1 lnatopthreat1 interactat1, fe
test lnopen1 interactlno1
test lnatopthreat1 interactat1
display "the adjusted R-squared is: `e(r2_a)'

* Effects of international threat
* Predicted values for small state (econshare=0.01)
adjust lneconshare1=-4.61 lnopen1=-1.7 interactlno1=7.84 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-4.61 interactat1=21.23 , ci exp nokey noheader
adjust lneconshare1=-4.61 lnopen1=-1.7 interactlno1=7.84 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-4.51 interactat1=20.79 , ci exp nokey noheader
adjust lneconshare1=-4.61 lnopen1=-1.7 interactlno1=7.84 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-4.38 interactat1=20.20 , ci exp nokey noheader
adjust lneconshare1=-4.61 lnopen1=-1.7 interactlno1=7.84 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-4.27 interactat1=19.68 , ci exp nokey noheader
adjust lneconshare1=-4.61 lnopen1=-1.7 interactlno1=7.84 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-2.81 interactat1=12.97 , ci exp nokey noheader
adjust lneconshare1=-4.61 lnopen1=-1.7 interactlno1=7.84 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-2.21 interactat1=10.18 , ci exp nokey noheader
adjust lneconshare1=-4.61 lnopen1=-1.7 interactlno1=7.84 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-1.83 interactat1=8.45 , ci exp nokey noheader
adjust lneconshare1=-4.61 lnopen1=-1.7 interactlno1=7.84 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-1.56 interactat1=7.19 , ci exp nokey noheader
adjust lneconshare1=-4.61 lnopen1=-1.7 interactlno1=7.84 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-1.35 interactat1=6.21 , ci exp nokey noheader
adjust lneconshare1=-4.61 lnopen1=-1.7 interactlno1=7.84 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-1.17 interactat1=5.40 , ci exp nokey noheader
adjust lneconshare1=-4.61 lnopen1=-1.7 interactlno1=7.84 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-1.02 interactat1=4.71 , ci exp nokey noheader
adjust lneconshare1=-4.61 lnopen1=-1.7 interactlno1=7.84 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-0.89 interactat1=4.11 , ci exp nokey noheader
adjust lneconshare1=-4.61 lnopen1=-1.7 interactlno1=7.84 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-0.78 interactat1=3.58 , ci exp nokey noheader
adjust lneconshare1=-4.61 lnopen1=-1.7 interactlno1=7.84 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-0.67 interactat1=3.10 , ci exp nokey noheader
adjust lneconshare1=-4.61 lnopen1=-1.7 interactlno1=7.84 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-0.58 interactat1=2.67 , ci exp nokey noheader
adjust lneconshare1=-4.61 lnopen1=-1.7 interactlno1=7.84 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-0.49 interactat1=2.28 , ci exp nokey noheader

* Predicted values for large state (econshare=0.1)
adjust lneconshare1=-2.3 lnopen1=-1.7 interactlno1=3.91 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-4.61 interactat1=10.59 , ci exp nokey noheader
adjust lneconshare1=-2.3 lnopen1=-1.7 interactlno1=3.91 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-4.51 interactat1=10.37 , ci exp nokey noheader
adjust lneconshare1=-2.3 lnopen1=-1.7 interactlno1=3.91 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-4.38 interactat1=10.08 , ci exp nokey noheader
adjust lneconshare1=-2.3 lnopen1=-1.7 interactlno1=3.91 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-4.27 interactat1=9.82 , ci exp nokey noheader
adjust lneconshare1=-2.3 lnopen1=-1.7 interactlno1=3.91 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-2.81 interactat1=6.47 , ci exp nokey noheader
adjust lneconshare1=-2.3 lnopen1=-1.7 interactlno1=3.91 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-2.21 interactat1=5.08 , ci exp nokey noheader
adjust lneconshare1=-2.3 lnopen1=-1.7 interactlno1=3.91 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-1.83 interactat1=4.21 , ci exp nokey noheader
adjust lneconshare1=-2.3 lnopen1=-1.7 interactlno1=3.91 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-1.56 interactat1=3.59 , ci exp nokey noheader
adjust lneconshare1=-2.3 lnopen1=-1.7 interactlno1=3.91 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-1.35 interactat1=3.10 , ci exp nokey noheader
adjust lneconshare1=-2.3 lnopen1=-1.7 interactlno1=3.91 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-1.17 interactat1=2.69 , ci exp nokey noheader
adjust lneconshare1=-2.3 lnopen1=-1.7 interactlno1=3.91 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-1.02 interactat1=2.35 , ci exp nokey noheader
adjust lneconshare1=-2.3 lnopen1=-1.7 interactlno1=3.91 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-0.89 interactat1=2.05 , ci exp nokey noheader
adjust lneconshare1=-2.3 lnopen1=-1.7 interactlno1=3.91 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-0.78 interactat1=1.79 , ci exp nokey noheader
adjust lneconshare1=-2.3 lnopen1=-1.7 interactlno1=3.91 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-0.67 interactat1=1.55 , ci exp nokey noheader
adjust lneconshare1=-2.3 lnopen1=-1.7 interactlno1=3.91 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-0.58 interactat1=1.33 , ci exp nokey noheader
adjust lneconshare1=-2.3 lnopen1=-1.7 interactlno1=3.91 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-0.49 interactat1=1.14 , ci exp nokey noheader

* Comparison with simpler models
* Adjusted R-squared for lneconshare model
quietly xtregar lnmilshare lntbdeaths lncwdeaths lneconshare1 if lnopen~=., fe
display "the adjusted R-squared is: `e(r2_a)'
display "the overall R-squared is: `e(r2_o)'
* Adjusted R-squared for lneconshare and lneconshare2 model
quietly xtregar lnmilshare lntbdeaths lncwdeaths lneconshare1 lneconshare21, fe
display "the adjusted R-squared is: `e(r2_a)'
display "the overall R-squared is: `e(r2_o)'
* Adjusted R-squared for model without interaction terms
quietly xtregar lnmilshare lntbdeaths lncwdeaths lneconshare1 lnopen1 lnatopthreat1, fe
display "the adjusted R-squared is: `e(r2_a)'
display "the overall R-squared is: `e(r2_o)'

* Powerproj model
xtregar powerproj lntbdeaths lncwdeaths lneconshare1 lnopen1 interactlno1 lnatopthreat1 interactat1, fe
test lnopen1 interactlno1
test lnatopthreat1 interactat1
display "the adjusted R-squared is: `e(r2_a)'

* Effects of trade openness
* Predicted values for small state (econshare=0.01)
adjust lneconshare1=-4.61 lnopen1=-11.513 interactlno1=53.075 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-1.08 interactat1=4.98 , ci exp nokey noheader
adjust lneconshare1=-4.61 lnopen1=-9.210 interactlno1=42.460 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-1.08 interactat1=4.98 , ci exp nokey noheader
adjust lneconshare1=-4.61 lnopen1=-6.908 interactlno1=31.845 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-1.08 interactat1=4.98 , ci exp nokey noheader
adjust lneconshare1=-4.61 lnopen1=-4.605 interactlno1=21.230 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-1.08 interactat1=4.98 , ci exp nokey noheader
adjust lneconshare1=-4.61 lnopen1=-2.996 interactlno1=13.810 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-1.08 interactat1=4.98 , ci exp nokey noheader
adjust lneconshare1=-4.61 lnopen1=-2.303 interactlno1=10.615 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-1.08 interactat1=4.98 , ci exp nokey noheader
adjust lneconshare1=-4.61 lnopen1=-1.609 interactlno1=7.420 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-1.08 interactat1=4.98 , ci exp nokey noheader
adjust lneconshare1=-4.61 lnopen1=-1.204 interactlno1=5.550 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-1.08 interactat1=4.98 , ci exp nokey noheader
adjust lneconshare1=-4.61 lnopen1=-0.916 interactlno1=4.224 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-1.08 interactat1=4.98 , ci exp nokey noheader
adjust lneconshare1=-4.61 lnopen1=-0.693 interactlno1=3.195 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-1.08 interactat1=4.98 , ci exp nokey noheader
adjust lneconshare1=-4.61 lnopen1=-0.511 interactlno1=2.355 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-1.08 interactat1=4.98 , ci exp nokey noheader
adjust lneconshare1=-4.61 lnopen1=-0.357 interactlno1=1.644 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-1.08 interactat1=4.98 , ci exp nokey noheader
adjust lneconshare1=-4.61 lnopen1=-0.223 interactlno1=1.029 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-1.08 interactat1=4.98 , ci exp nokey noheader
adjust lneconshare1=-4.61 lnopen1=-0.105 interactlno1=0.486 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-1.08 interactat1=4.98 , ci exp nokey noheader
adjust lneconshare1=-4.61 lnopen1=0 interactlno1=0 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-1.08 interactat1=4.98 , ci exp nokey noheader

* Predicted values for large state (econshare=0.1)
adjust lneconshare1=-2.3 lnopen1=-11.513 interactlno1=26.480 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-1.08 interactat1=2.48 , ci exp nokey noheader
adjust lneconshare1=-2.3 lnopen1=-9.210 interactlno1=21.184 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-1.08 interactat1=2.48 , ci exp nokey noheader
adjust lneconshare1=-2.3 lnopen1=-6.908 interactlno1=15.888 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-1.08 interactat1=2.48 , ci exp nokey noheader
adjust lneconshare1=-2.3 lnopen1=-4.605 interactlno1=10.592 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-1.08 interactat1=2.48 , ci exp nokey noheader
adjust lneconshare1=-2.3 lnopen1=-2.996 interactlno1=6.890 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-1.08 interactat1=2.48 , ci exp nokey noheader
adjust lneconshare1=-2.3 lnopen1=-2.303 interactlno1=5.296 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-1.08 interactat1=2.48 , ci exp nokey noheader
adjust lneconshare1=-2.3 lnopen1=-1.609 interactlno1=3.702 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-1.08 interactat1=2.48 , ci exp nokey noheader
adjust lneconshare1=-2.3 lnopen1=-1.204 interactlno1=2.769 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-1.08 interactat1=2.48 , ci exp nokey noheader
adjust lneconshare1=-2.3 lnopen1=-0.916 interactlno1=2.107 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-1.08 interactat1=2.48 , ci exp nokey noheader
adjust lneconshare1=-2.3 lnopen1=-0.693 interactlno1=1.594 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-1.08 interactat1=2.48 , ci exp nokey noheader
adjust lneconshare1=-2.3 lnopen1=-0.511 interactlno1=1.175 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-1.08 interactat1=2.48 , ci exp nokey noheader
adjust lneconshare1=-2.3 lnopen1=-0.357 interactlno1=0.820 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-1.08 interactat1=2.48 , ci exp nokey noheader
adjust lneconshare1=-2.3 lnopen1=-0.223 interactlno1=0.513 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-1.08 interactat1=2.48 , ci exp nokey noheader
adjust lneconshare1=-2.3 lnopen1=-0.105 interactlno1=0.242 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-1.08 interactat1=2.48 , ci exp nokey noheader
adjust lneconshare1=-2.3 lnopen1=0 interactlno1=0 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-1.08 interactat1=2.48 , ci exp nokey noheader

* Effects of international threat
* Predicted values for small state (econshare=0.01)
adjust lneconshare1=-4.61 lnopen1=-1.7 interactlno1=7.84 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-4.61 interactat1=21.23 , ci exp nokey noheader
adjust lneconshare1=-4.61 lnopen1=-1.7 interactlno1=7.84 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-4.51 interactat1=20.79 , ci exp nokey noheader
adjust lneconshare1=-4.61 lnopen1=-1.7 interactlno1=7.84 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-4.38 interactat1=20.20 , ci exp nokey noheader
adjust lneconshare1=-4.61 lnopen1=-1.7 interactlno1=7.84 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-4.27 interactat1=19.68 , ci exp nokey noheader
adjust lneconshare1=-4.61 lnopen1=-1.7 interactlno1=7.84 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-2.81 interactat1=12.97 , ci exp nokey noheader
adjust lneconshare1=-4.61 lnopen1=-1.7 interactlno1=7.84 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-2.21 interactat1=10.18 , ci exp nokey noheader
adjust lneconshare1=-4.61 lnopen1=-1.7 interactlno1=7.84 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-1.83 interactat1=8.45 , ci exp nokey noheader
adjust lneconshare1=-4.61 lnopen1=-1.7 interactlno1=7.84 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-1.56 interactat1=7.19 , ci exp nokey noheader
adjust lneconshare1=-4.61 lnopen1=-1.7 interactlno1=7.84 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-1.35 interactat1=6.21 , ci exp nokey noheader
adjust lneconshare1=-4.61 lnopen1=-1.7 interactlno1=7.84 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-1.17 interactat1=5.40 , ci exp nokey noheader
adjust lneconshare1=-4.61 lnopen1=-1.7 interactlno1=7.84 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-1.02 interactat1=4.71 , ci exp nokey noheader
adjust lneconshare1=-4.61 lnopen1=-1.7 interactlno1=7.84 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-0.89 interactat1=4.11 , ci exp nokey noheader
adjust lneconshare1=-4.61 lnopen1=-1.7 interactlno1=7.84 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-0.78 interactat1=3.58 , ci exp nokey noheader
adjust lneconshare1=-4.61 lnopen1=-1.7 interactlno1=7.84 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-0.67 interactat1=3.10 , ci exp nokey noheader
adjust lneconshare1=-4.61 lnopen1=-1.7 interactlno1=7.84 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-0.58 interactat1=2.67 , ci exp nokey noheader
adjust lneconshare1=-4.61 lnopen1=-1.7 interactlno1=7.84 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-0.49 interactat1=2.28 , ci exp nokey noheader

* Predicted values for large state (econshare=0.1)
adjust lneconshare1=-2.3 lnopen1=-1.7 interactlno1=3.91 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-4.61 interactat1=10.59 , ci exp nokey noheader
adjust lneconshare1=-2.3 lnopen1=-1.7 interactlno1=3.91 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-4.51 interactat1=10.37 , ci exp nokey noheader
adjust lneconshare1=-2.3 lnopen1=-1.7 interactlno1=3.91 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-4.38 interactat1=10.08 , ci exp nokey noheader
adjust lneconshare1=-2.3 lnopen1=-1.7 interactlno1=3.91 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-4.27 interactat1=9.82 , ci exp nokey noheader
adjust lneconshare1=-2.3 lnopen1=-1.7 interactlno1=3.91 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-2.81 interactat1=6.47 , ci exp nokey noheader
adjust lneconshare1=-2.3 lnopen1=-1.7 interactlno1=3.91 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-2.21 interactat1=5.08 , ci exp nokey noheader
adjust lneconshare1=-2.3 lnopen1=-1.7 interactlno1=3.91 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-1.83 interactat1=4.21 , ci exp nokey noheader
adjust lneconshare1=-2.3 lnopen1=-1.7 interactlno1=3.91 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-1.56 interactat1=3.59 , ci exp nokey noheader
adjust lneconshare1=-2.3 lnopen1=-1.7 interactlno1=3.91 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-1.35 interactat1=3.10 , ci exp nokey noheader
adjust lneconshare1=-2.3 lnopen1=-1.7 interactlno1=3.91 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-1.17 interactat1=2.69 , ci exp nokey noheader
adjust lneconshare1=-2.3 lnopen1=-1.7 interactlno1=3.91 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-1.02 interactat1=2.35 , ci exp nokey noheader
adjust lneconshare1=-2.3 lnopen1=-1.7 interactlno1=3.91 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-0.89 interactat1=2.05 , ci exp nokey noheader
adjust lneconshare1=-2.3 lnopen1=-1.7 interactlno1=3.91 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-0.78 interactat1=1.79 , ci exp nokey noheader
adjust lneconshare1=-2.3 lnopen1=-1.7 interactlno1=3.91 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-0.67 interactat1=1.55 , ci exp nokey noheader
adjust lneconshare1=-2.3 lnopen1=-1.7 interactlno1=3.91 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-0.58 interactat1=1.33 , ci exp nokey noheader
adjust lneconshare1=-2.3 lnopen1=-1.7 interactlno1=3.91 lntbdeaths=0 lncwdeaths=0 lnatopthreat1=-0.49 interactat1=1.14 , ci exp nokey noheader

* Comparison with simpler models
* Adjusted R-squared for lneconshare model
quietly xtregar powerproj lntbdeaths lncwdeaths lneconshare1 if lnopen~=., fe
display "the adjusted R-squared is: `e(r2_a)'
display "the overall R-squared is: `e(r2_o)'
* Adjusted R-squared for lneconshare and lneconshare2 model
quietly xtregar powerproj lntbdeaths lncwdeaths lneconshare1 lneconshare21 if lnopen~=., fe
display "the adjusted R-squared is: `e(r2_a)'
display "the overall R-squared is: `e(r2_o)'
* Adjusted R-squared for model without interaction terms
quietly xtregar powerproj lntbdeaths lncwdeaths lneconshare1 lnopen1 lnatopthreat1, fe
display "the adjusted R-squared is: `e(r2_a)'
display "the overall R-squared is: `e(r2_o)'

* Analysis of security commitments as indicated by number of alliances
* Relationship between power and security commitments
* Models parallel those used for military effort
xtregar lnallyprop_a lneconshare1 lntbdeaths lncwdeaths, fe
xtregar lnallyprop_a lneconshare1 lneconshare21 lntbdeaths lncwdeaths, fe
test lneconshare1 lneconshare21
xtregar lnallyprop_a lneconshare1 lneconrank1 lntbdeaths lncwdeaths, fe
* Model with political and economic triggers
xtregar lnallyprop_a lneconshare1 lnopen1 interactlno1 lnatopthreat1 interactat1 lntbdeaths lncwdeaths, fe
test lnopen1 interactlno1
test lnatopthreat1 interactat1

* Model of diplomatic activism
gen time=year
recode time (1817=1) (1824=2) (1827=3) (1832=4) (1836=5) (1840=6) (1844=7) (1849=8) (1854=9) (1859=10) (1864=11) (1869=12) (1874=13) (1879=14) (1884=15) (1889=16) (1894=17) (1899=18) (1904=19) (1909=20) (1914=21) (1920=22) (1925=23) (1930=24) (1935=25) (1940=26) (1950=27) (1955=28) (1960=29) (1965=30) (1970=31) (1975=32) (1980=33) (1985=34) (1990=35) (1995=36) (2000=37) (2005=38)
drop if time>100
xtset statenum time

* Relationship between power and diplomatic effort
* Models parallel those used for military effort
xtregar lnrepprop lneconshare1, fe
display "the adjusted R-squared is: `e(r2_a)'
adjust lneconshare1=-4.61, ci exp nokey noheader
adjust lneconshare1=-4.2, ci exp nokey noheader
adjust lneconshare1=-2.3, ci exp nokey noheader
adjust lneconshare1=-1.9, ci exp nokey noheader

xtregar lnrepprop lneconshare1 lneconshare21, fe
display "the adjusted R-squared is: `e(r2_a)'
test lneconshare1 lneconshare21
xtregar lnrepprop lneconshare1 lneconrank1, fe
display "the adjusted R-squared is: `e(r2_a)'

* Model with political and economic triggers
xtregar lnrepprop lneconshare1 lnopen1 interactlno1 lnatopthreat1 interactat1, fe
test lnopen1 interactlno1
test lnatopthreat1 interactat1 
display "the adjusted R-squared is: `e(r2_a)'

* Effects of trade openness
* Predicted values for small state (econshare=0.01)
adjust lneconshare1=-4.61 lnopen1=-11.513 interactlno1=53.075 lnatopthreat1=-1.08 interactat1=4.98, ci exp nokey noheader
adjust lneconshare1=-4.61 lnopen1=-9.210 interactlno1=42.460 lnatopthreat1=-1.08 interactat1=4.98, ci exp nokey noheader
adjust lneconshare1=-4.61 lnopen1=-6.908 interactlno1=31.845 lnatopthreat1=-1.08 interactat1=4.98, ci exp nokey noheader
adjust lneconshare1=-4.61 lnopen1=-4.605 interactlno1=21.230 lnatopthreat1=-1.08 interactat1=4.98, ci exp nokey noheader
adjust lneconshare1=-4.61 lnopen1=-2.996 interactlno1=13.810 lnatopthreat1=-1.08 interactat1=4.98, ci exp nokey noheader
adjust lneconshare1=-4.61 lnopen1=-2.303 interactlno1=10.615 lnatopthreat1=-1.08 interactat1=4.98, ci exp nokey noheader
adjust lneconshare1=-4.61 lnopen1=-1.609 interactlno1=7.420 lnatopthreat1=-1.08 interactat1=4.98, ci exp nokey noheader
adjust lneconshare1=-4.61 lnopen1=-1.204 interactlno1=5.550 lnatopthreat1=-1.08 interactat1=4.98, ci exp nokey noheader
adjust lneconshare1=-4.61 lnopen1=-0.916 interactlno1=4.224 lnatopthreat1=-1.08 interactat1=4.98, ci exp nokey noheader
adjust lneconshare1=-4.61 lnopen1=-0.693 interactlno1=3.195 lnatopthreat1=-1.08 interactat1=4.98, ci exp nokey noheader
adjust lneconshare1=-4.61 lnopen1=-0.511 interactlno1=2.355 lnatopthreat1=-1.08 interactat1=4.98, ci exp nokey noheader
adjust lneconshare1=-4.61 lnopen1=-0.357 interactlno1=1.644 lnatopthreat1=-1.08 interactat1=4.98, ci exp nokey noheader
adjust lneconshare1=-4.61 lnopen1=-0.223 interactlno1=1.029 lnatopthreat1=-1.08 interactat1=4.98, ci exp nokey noheader
adjust lneconshare1=-4.61 lnopen1=-0.105 interactlno1=0.486 lnatopthreat1=-1.08 interactat1=4.98, ci exp nokey noheader
adjust lneconshare1=-4.61 lnopen1=0 interactlno1=0 lnatopthreat1=-1.08 interactat1=4.98, ci exp nokey noheader

* Predicted values for large state (econshare=0.1)
adjust lneconshare1=-2.3 lnopen1=-11.513 interactlno1=26.480 lnatopthreat1=-1.08 interactat1=2.48, ci exp nokey noheader
adjust lneconshare1=-2.3 lnopen1=-9.210 interactlno1=21.184 lnatopthreat1=-1.08 interactat1=2.48, ci exp nokey noheader
adjust lneconshare1=-2.3 lnopen1=-6.908 interactlno1=15.888 lnatopthreat1=-1.08 interactat1=2.48, ci exp nokey noheader
adjust lneconshare1=-2.3 lnopen1=-4.605 interactlno1=10.592 lnatopthreat1=-1.08 interactat1=2.48, ci exp nokey noheader
adjust lneconshare1=-2.3 lnopen1=-2.996 interactlno1=6.890 lnatopthreat1=-1.08 interactat1=2.48, ci exp nokey noheader
adjust lneconshare1=-2.3 lnopen1=-2.303 interactlno1=5.296 lnatopthreat1=-1.08 interactat1=2.48, ci exp nokey noheader
adjust lneconshare1=-2.3 lnopen1=-1.609 interactlno1=3.702 lnatopthreat1=-1.08 interactat1=2.48, ci exp nokey noheader
adjust lneconshare1=-2.3 lnopen1=-1.204 interactlno1=2.769 lnatopthreat1=-1.08 interactat1=2.48, ci exp nokey noheader
adjust lneconshare1=-2.3 lnopen1=-0.916 interactlno1=2.107 lnatopthreat1=-1.08 interactat1=2.48, ci exp nokey noheader
adjust lneconshare1=-2.3 lnopen1=-0.693 interactlno1=1.594 lnatopthreat1=-1.08 interactat1=2.48, ci exp nokey noheader
adjust lneconshare1=-2.3 lnopen1=-0.511 interactlno1=1.175 lnatopthreat1=-1.08 interactat1=2.48, ci exp nokey noheader
adjust lneconshare1=-2.3 lnopen1=-0.357 interactlno1=0.820 lnatopthreat1=-1.08 interactat1=2.48, ci exp nokey noheader
adjust lneconshare1=-2.3 lnopen1=-0.223 interactlno1=0.513 lnatopthreat1=-1.08 interactat1=2.48, ci exp nokey noheader
adjust lneconshare1=-2.3 lnopen1=-0.105 interactlno1=0.242 lnatopthreat1=-1.08 interactat1=2.48, ci exp nokey noheader
adjust lneconshare1=-2.3 lnopen1=0 interactlno1=0 lnatopthreat1=-1.08 interactat1=2.48, ci exp nokey noheader

* Comparisons with simpler models
* Model with lneconshare only
quietly xtregar lnrepprop lneconshare1 if lnopen~=., fe
display "the adjusted R-squared is: `e(r2_a)'
display "the overall R-squared is: `e(r2_o)'
* Model with lneconshare and lneconshare2
quietly xtregar lnrepprop lneconshare1 lneconshare21 if lnopen~=., fe
display "the adjusted R-squared is: `e(r2_a)'
display "the overall R-squared is: `e(r2_o)'
* Model with lneconshare and lneconrank
quietly xtregar lnrepprop lneconshare1 lneconrank1 if lnopen~=., fe
display "the adjusted R-squared is: `e(r2_a)'
display "the overall R-squared is: `e(r2_o)'

log close
